Download it now!
Bug 96833 - Remote Files UI dialog has various small issues (lost values in editing, wrong TCP port number management...)
Summary: Remote Files UI dialog has various small issues (lost values in editing, wron...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Giuseppe Castagno (aka beppec56)
URL:
Whiteboard: target:5.2.0 target:5.1.0.2 target:5...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-30 16:44 UTC by Giuseppe Castagno (aka beppec56)
Modified: 2016-10-25 19:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giuseppe Castagno (aka beppec56) 2015-12-30 16:44:02 UTC
LO: 5.2.0.0.alpha0+
Build ID: 9b7cd8f0ffe8bfe77ddd30fa4021a9a60b7794c1
CPU Threads: 8; OS Version: Linux 3.13; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-12-29_23:53:05
Locale: en-US (en_US.UTF-8)

Found during my various checks with WebDAV.

If you try to use the the 'Remote files' dialog to add and/or edit a remote file place you will see a number of small problems.

To reproduce:

First lower the time-out to react a non existing server:
1) 'Tools > Options > LibreOffice > Advanced tab, select 'Expert Configuration';
2) locate 'ConnectTimeout' property in org.openoffice.Inet.Settings;
3) lower it to 2 sec, the minimum allowable, remember to upper it again to 20 seconds after the tests.
This new property comes from my fix to bug 90700.

To test 'Add service'

1) select 'File > Open remote file' menu item;
2) when the 'Remote Files' dialog opens, select Add service;
3) from the dropdown combo box select WebDAV and add the following elements to register a fake server:
Host: afake.com
Port: try to use 65535, the maximum value allowed for a TCP port IP4 addressing, only 6553 is accepted
tick 'Secure connection'
User: leave blank
Password: leave blank
Remember password: leave unticked
Label: something of your choice
Root: something of your choice

4) press OK
5) LO will try to connect to a non-existen server, will rightly gives you an error, acknowlege the erro, the new service is added anyway.

Now, to test the editing:
The 'Service' dropdown combo box will show you the newly added service, select 'Edit service', 'Port' is reset to 80, should at least
have been 6553 as shown (still different from 65535 as was needed in the first place) 'Secure connection' disappeared.

Things that should be done on WebDAV service add/edit only:

On 'Add service':
1) accept the entire range of TCP port up to 65535;
2) grey-out 'User', 'Password'  and 'Remember password' fields since they are not used, but leave them there because though currently the WebDAV ucb layer ignores the user, it may use it in the future.
User and password are requested later, when LO tries to connect.

On 'Edit Service':
1) have the edit dialog 'remember' the current stored values;
2) grey-out User field in 'Edit service' as well, for the same reason as above in 'Add service'.

I have a work in progress patch con current master, though a confirmation of this bug in another OS will be nice.
Some comments from UX people would be appreciated as well.
Comment 1 Julien Nabet 2016-01-01 12:29:31 UTC
About the port, I submitted a patch here:
https://gerrit.libreoffice.org/#/c/21032/
It allows until 5 characters but doesn't control if it's over 65535 or not.
Comment 2 Giuseppe Castagno (aka beppec56) 2016-01-02 07:33:56 UTC
(In reply to Julien Nabet from comment #1)
> About the port, I submitted a patch here:
> https://gerrit.libreoffice.org/#/c/21032/
> It allows until 5 characters but doesn't control if it's over 65535 or not.

Late this morning I'll push on top of yours gerrit some code to fix part of the remaining problems:
- TCP port got lost/reset when editing a server;
- TCP port range is from 0 to 65535 inclusive: changed Gtk widget
  disabled comma, added max and min limits;
- secure protocol checkbox always unchecked when editing a WebDAV server.

In the meantime two others bugs on the remote files dialog are:

- breadcrumb doesn't work on some WebDAV servers;
- folder tree view on file select dialog is empty of folder names in WebDAV servers

The last one I fixed already, breadcrumb one is difficult, seems that the TCP port information is lost in processing...

I'm still testing the rest of the fix with 3 different WebDAV servers, I'll then push them to gerrit and ask for your suggestions.
Comment 3 Commit Notification 2016-01-04 13:29:41 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9236a99ad4640cd568abe9040ac37e398c60061f

Related tdf#96833: Allow port with more than 4 characters

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-01-04 16:50:23 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d373cb7e15ceca249c33be39583a0515b413e417

Related tdf#96833: fix behaviour of 'Remote Files' edit dialog.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-01-05 11:40:52 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c4de8f1991f1a9964e661717dc6b46f6a6a3608

Related tdf#96833: breadcrumb: setting URL, host port gets lost.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-01-06 09:27:10 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f71d1e7ef44615412698de4c17ec413ffb33aba7&h=libreoffice-5-1

Related tdf#96833: Allow port with more than 4 characters

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-01-06 10:03:11 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c6e8e4142493dd135003aff16a1709d6e3a29d0&h=libreoffice-5-1

Related tdf#96833: fix behaviour of 'Remote Files' edit dialog.

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-01-07 13:30:11 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8369e7d511d5cc07b8fac31a05a5897f58b46740&h=libreoffice-5-1

Related tdf#96833: breadcrumb: setting URL, host port gets lost.

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-01-08 10:54:07 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c0c8de9b2df98c7d6394e703fc2fcb9e97e20c0

Related tdf#96833: display WebDAV path in remote files dialog

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-01-08 12:53:20 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3113ecb2fcb6d868a213c5dc978159e18f4e2efa

Related tdf#96833: hide user and password for WebDAV servers...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-01-14 13:37:48 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55062c4d358ae94a35ac0454d24c39b39ba4e489&h=libreoffice-5-1

Related tdf#96833: display WebDAV path in remote files dialog

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-01-21 08:16:39 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=936da92dd854a1d5c16e564fc62b14bee0214fe9&h=libreoffice-5-1

Related tdf#96833: hide user and password for WebDAV servers...

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Giuseppe Castagno (aka beppec56) 2016-03-03 10:15:13 UTC
Found fixed in:

Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 8; OS Version: Linux 3.13; UI Render: default; 
Locale: en-US (en_US.UTF-8)